<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Moja strona WWW</title>
</head>
<body>
<?php
if (!$db_lnk = mysql_connect("localhost", "php", "test")){
  echo 'Błąd podczas próby połączenia z serwerem MySQL...<br />';
  echo '</body></html>';
  exit;
}

if(!mysql_select_db('testphp')){
  mysql_close();
  echo 'Błąd podczas wyboru bazy danych: testphp <br />';
  echo '</body></html>';
  exit;
}

$query = 'SELECT * FROM osoba';

if(!$result = mysql_query($query, $db_lnk)){
  mysql_close();
  echo 'Wystąpił błąd: nieprawidłowe zapytanie...<br />';
  echo '</body></html>';
  exit;
}
?>

<table>
<tr>
<td>Id</td>
<td>Imię</td>
<td>Nazwisko</td>
<td>Rok urodzenia</td>
<td>Miejsce urodzenia</td>
</tr>

<?php
while($row = mysql_fetch_array($result)){
  echo "<tr>";
  echo "<td>{$row['Id']}</td>";
  echo "<td>{$row['Imie']}</td>";
  echo "<td>{$row['Nazwisko']}</td>";
  echo "<td>{$row['Rok_urodzenia']}</td>";
  echo "<td>{$row['Miejsce_urodzenia']}</td>";
  echo "</tr>";
}
?>

</table>

<?php
if(!mysql_close()){
  echo 'Błąd podczas zamykania połączenia z serwerem MySQL...<br />';
}
?>
</body>
</html>
